org.richfaces.renderkit

## Class DataScrollerBaseRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.DataScrollerBaseRenderer

- Direct Known Subclasses:
    DataScrollerRenderer

      public class DataScrollerBaseRenderer
      extends RendererBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataScrollerBaseRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildScript(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Map<?,?> buttons, Map<?,?> digitals)`
    `void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
    `void` | `encodeFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `Map<String,Map<String,String>>` | `getControls(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ControlsState controlsState)`
    `ControlsState` | `getControlsState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `boolean` | `getRendersChildren()`
    `JSFunctionDefinition` | `getSubmitFunction(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `Map<String,String>` | `renderPager(javax.faces.context.ResponseWriter out, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `Map<String,String>` | `renderPagerFacet(javax.faces.context.ResponseWriter out, javax.faces.context.FacesContext context, javax.faces.component.UIComponent facet)`
    `protected boolean` | `shouldRender(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataScrollerBaseRenderer

          public DataScrollerBaseRenderer()

  - ### Method Detail

    - #### doDecode

          public void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Description copied from class: `RendererBase`
      Template method for custom decoding of concrete renderer. All parameters checking if performed in original `RendererBase.decode(FacesContext, UIComponent)` method.
      Overrides:
        `doDecode` in class `RendererBase`

    - #### shouldRender

          protected boolean shouldRender(javax.faces.component.UIComponent component)

    - #### getControlsState

          public ControlsState getControlsState(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)

    - #### renderPagerFacet

          public Map<String,String> renderPagerFacet(javax.faces.context.ResponseWriter out,
                                            javax.faces.context.FacesContext context,
                                            javax.faces.component.UIComponent facet)
                                              throws IOException

      Throws:
        `IOException`

    - #### renderPager

          public Map<String,String> renderPager(javax.faces.context.ResponseWriter out,
                                       javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)
                                         throws IOException

      Throws:
        `IOException`

    - #### getControls

          public Map<String,Map<String,String>> getControls(javax.faces.context.FacesContext context,
                                                   javax.faces.component.UIComponent component,
                                                   ControlsState controlsState)

    - #### buildScript

          public void buildScript(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component,
                         Map<?,?> buttons,
                         Map<?,?> digitals)
                           throws IOException

      Throws:
        `IOException`

    - #### getSubmitFunction

          public JSFunctionDefinition getSubmitFunction(javax.faces.context.FacesContext facesContext,
                                               javax.faces.component.UIComponent component)

    - #### encodeFacet

          public void encodeFacet(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Throws:
        `IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.